﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools;
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;

namespace Forum_120052__Treeview
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        TreeViewItemAdv drag = null;
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void treeview_DragEnd(object sender, Syncfusion.Windows.Tools.Controls.DragTreeViewItemAdvEventArgs e)
        {
            TreeViewItemAdv drop = e.TargetDropItem as TreeViewItemAdv;
            if (drag != null && drop != null && drag.ParentItemsControl == drop.ParentItemsControl)
            {
                e.Cancel = true;
            }
        }

        private void treeview_DragStart(object sender, DragTreeViewItemAdvEventArgs e)
        {
            drag = (sender as TreeViewAdv).SelectedContainer;
        }

      
        private void Button_IsKeyboardFocusWithinChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            if (treeview.SelectedItem != null)
            {
                treeview.GetContainerFromItem(treeview.SelectedItem).IsInEditMode = true;
            }
        }
    }
}
